summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-python/vdf: Remove redundant versionsMichał Górny2020-07-121-21/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/vdf: Stabilize 3.2-r1 ALLARCHES, #731622Michał Górny2020-07-111-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/vdf: Mark ALLARCHESMichał Górny2020-07-111-0/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* dev-python/vdf-3.3: support python3_9Marek Szuba2020-07-011-1/+1
| | | | | | | | Turns out using or importing the ABCs from 'collections' instead of from 'collections.abc' will only stop working in python 3.10 rather than 3.9, therefore in the end vdf tests all pass on 3.9 without any patching. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* dev-python/vdf: bump to 3.3Marek Szuba2020-06-302-0/+23
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* dev-python/vdf: support pypy3, simplify test dependenciesMarek Szuba2020-04-212-0/+31
| | | | | | | | | | | pypy3 - builds and tests fine, as claimed by upstream Test dependencies - Python-3.3 and newer have unittest.mock in the standard library and this package does not support any versions older than that, patch the relevant test file to use unittest.mock and stop pulling in dev-python/mock (which was pulled in incorrectly anyway). Signed-off-by: Marek Szuba <marecki@gentoo.org>
* dev-python/vdf: amd64 stable wrt bug #713258Agostino Sarubbo2020-03-201-1/+1
| | | | | | Package-Manager: Portage-2.3.89, Repoman-2.3.20 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* dev-python/vdf: new packageMarek Szuba2020-01-083-0/+34
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>